Shim fejl til understøttelse af.NET Framework version og platform

VIGTIGT: Denne artikel er blevet oversat af Microsofts oversættelses program og er dermed ikke oversat af et menneske. Microsoft udbyder både artikler oversat af maskiner såvel som af mennesker så du vil have adgang til alle artikler in vores videns database på dit eget sprog. Alligevel, vil en maskine-oversat artikel ikke altid være perfekt. Der kan forekomme alfabetiske, grammatiske samt strukturelle fejl, ligesom når en udlændinge måtte lave fejl når han taler vores sprog. Microsoft står ikke til ansvar for ukorrektheder, fejl eller skade som måtte forårsages af forkerte oversættelser af indholdet eller kunders brug af samme. Microsoft opdaterer hyppigt maskine-oversættelses programmet.

Dette er den engelske version af artiklen: 2715633
Bemærk I denne artikel introduceres shim-fejlmeddelelser. Hvis du er en slutbruger, kan du prøve opløsningen Når du får vist fejlmeddelelsen shim "Du skal aktivere.NET Framework i dialogboksen Windows-funktioner". For alle andre shim-fejl, målgruppen for indholdet app leverandør eller udvikler, du har Kontakt forhandleren af app for at fortælle dem, at der er et problem for dette program.
Fejl: "du skal aktivere.NET Framework i dialogboksen Windows-funktioner"
Der vises en fejlmeddelelse
Dette program kunne ikke startes. Du skal aktivere den.NET Framework i dialogboksen Windows-funktioner (fra Kontrolpanel, Vælg programmer, slå Windows-funktioner til eller fra).
Årsag
Dette problem opstår, fordi programmet ikke er konfigureret på en måde, der gør det muligt at fastslå den korrekte version af.NET Framework runtime. Den tilsvarende kode shim er SHIM_GOTO_CONTROLPANEL.
Løsning
For at løse konflikten, ved at aktivere den.NET Framework 3.5, er et operativsystem på Windows 7 og Windows 8.

Til Windows 8

.NET Framework 3.5 er som standard deaktiveret på Windows 8. Hvis du vil aktivere den, skal du følge disse trin:
  1. Skriv de første par bogstaver af på startskærmbilledetI Kontrolpanel, og vælg derefterI Kontrolpanelpå listen over programmer.
  2. II Kontrolpanel, VælgProgrammer. (Eller VælgProgrammer og funktionerHvis du ikke bruger standardvisningen kategori.)
  3. IProgrammer og funktioner, VælgSlå Windows-funktioner til eller fraat åbne denWindows-funktionerdialogboksen.
  4. IWindows-funktioner, Vælg den.NET Framework 3.5 (omfatter .NET 2.0 og 3.0)afkrydsningsfeltet er markeret, og vælg derefterOK.

Til Windows 7

.NET Framework 3.5 er som standard aktiveret på Windows 7, så denne fejl opstår kun, hvis funktionen, der tidligere er afbrudt. Hvis du vil aktivere igen.NET Framework 3.5, skal du følge disse trin:
  1. Vælg fra menuen StartI Kontrolpanel.
  2. II Kontrolpanel, VælgProgrammer. (Eller VælgProgrammer og funktionerHvis du ikke bruger standardvisningen kategori.)
  3. IProgrammer og funktioner, VælgSlå Windows-funktioner til eller fraat åbne denWindows-funktionerdialogboksen.
  4. IWindows-funktioner, Vælg denMicrosoft.NET Framework 3.5.1afkrydsningsfeltet er markeret, og vælg derefterOK.

Ansvarsfralæggelse i forbindelse med tredjeparts-løsning

Oplysningerne og løsningen i dette dokument repræsenterer Microsoft Corporations aktuelle syn på disse problemer på udgivelsesdatoen. Denne løsning er tilgængelig via Microsoft eller en tredjepartsudbyder. Specielt anbefales ikke nogen provider fra tredjepart eller tredjeparts-løsning, der beskrives i denne artikel. Der kan også være andre tredjepartsudbydere eller tredjepartsløsninger, som denne artikel ikke beskriver heller. Da vi skal reagere på ændrede markedsbetingelser, skal disse oplysninger ikke fortolkes som en forpligtelse af Microsoft. Vi kan ikke garantere eller sin støtte til nøjagtigheden af oplysninger eller af en hvilken som helst løsning, der er fremsat af Microsoft eller omtalt tredjepartsudbyder.

Microsoft påtager sig intet ansvar og udelukker alle repræsentationer, garantier og betingelser, det være sig udtrykkelig, stiltiende eller lovpligtig. Dette omfatter, men er ikke begrænset til repræsentationer, garantier eller betingelser for titel, ikke-krænkelse, tilfredsstillende stand, salgbarhed og egnethed til et bestemt formål, for så vidt angår enhver tjeneste, løsning, produkt eller andre materialer eller oplysninger. I intet tilfælde kan Microsoft holdes ansvarlige for enhver tredjeparts-løsning, som nævner i denne artikel.

Fejl: "dette program kunne ikke startes"
Der vises en fejlmeddelelse
Dette program kunne ikke startes.
Årsag
App er ikke konfigureret på en måde, der gør det muligt at fastslå den korrekte version af.NET Framework runtime. Den tilsvarende kode shim er SHIM_NOVERSION_FOUND.
Løsning
Du kan løse problemet konfiguration selv. Kontakt forhandleren af app for at løse problemet.
Fejl: "den er afhængig af en.NET Framework-version understøttes ikke på denne enhed"
Der vises en fejlmeddelelse
Dette program kunne ikke startes. Den er afhængig af en.NET Framework-version understøttes ikke på denne enhed.
Årsag
Dette problem opstår, fordi programmet ikke er designet til at køre på denne enhed. For eksempel kan du prøver at køre en app, der er bygget til en Intel-processor på en enhed, der bruger en ARM-processor. Den tilsvarende kode shim er SHIM_UNSUPPORTED_PLATFORM.
Løsning
Du kan løse problemet konfiguration selv. Kontakt forhandleren af app for at installere den korrekte version af programmet.
Om shim fejlmeddelelser
Når du starter et Microsoft.NET Framework-program, en shim-programmet bestemmer, hvilken version af common language runtime (CLR) til at indlæse, indlæser den og starter programmet. Hvis shim opstår en fejl (for eksempel, hvis der ikke findes en kompatibel version af.NET Framework-på computeren), vises en fejlmeddelelse med instruktioner. Denne artikel indeholder oplysninger om fejlkoderne, SHIM_NOVERSION_FOUND, SHIM_GOTO_CONTROLPANELog SHIM_UNSUPPORTED_PLATFORM.

Yderligere oplysninger om.NET Framework-initialisering fejl, gå og se på følgende MSDN-webside:

Advarsel! Denne artikel er oversat automatisk

Egenskaber

Artikel-id: 2715633 – Seneste udgave 04/24/2016 07:09:00 – Udgave 5.0

Microsoft .NET Framework 4.5

  • kbquadranttechsupp kbconsumer kbsurveynew kbtshoot kbexpertiseinter kbmt KB2715633 KbMtda
Feedback